Einleitung

Der 7+ Taskbar Tweaker erlaubt die Konfiguration verschiedener Aspekte der Windows-Taskleiste.

Die meisten bereitgestellten Konfigurationsoptionen können nicht über die Taskleistenoptionen oder die Windows-Registrierung angepasst werden.

Der Tweaker wurde für Windows 7 und Windows 8 entwickelt.

Links

  • Internetseite
  • Bug/Feature-Tracker
  • Spenden

Übersetzung

Übersetzt aus dem Englischen von Daniel Reiners im Dezember 2012.

Copyright © 2009-2013 by RaMMicHaeL. All Rights Reserved.


Änderungsprotokoll (Englisch)

Einleitung ››

v4.1.3 (January 25, 2013)

  • Dutch translation of the help file, by Frank Meijer.

v4.1.2 (January 18, 2013)

  • Detect target version from explorer's version info, not from the OS. Now the tweaker works with exotic stuff like Windows 7 explorer on Windows 8 .
  • Slovenian translation update.

v4.1.1 (December 18, 2012)

  • Hungarian translation, by Tóth Ádám.
  • German translation of the help file, by Daniel Reiners, the first hero to translate the whole help file!

v4.1 (December 14, 2012)

  • A help file.
  • Update notification: A checkbox for not notifying about a particular version.
  • Latvian translation, thanks Aigars Jacmenkins!
  • Windows volume control (SndVol.exe) runs in higher priority for better performance.
  • Fixed right drag detach on vertical taskbar ("Drag within/between groups using right mouse button" option).
  • Rebuilt the portable launcher to support older processors (versions 4.0.4 to 4.0.10 supported only processors with SSE2 instruction set).

v4.0.10 (October 17, 2012)

  • Fixed a bug that could cause a crash.

v4.0.9 (September 26, 2012)

  • Fixed the always-combine option and combining per Application ID in several situations.

v4.0.8 (September 18, 2012)

  • Improved the always-combine option and combining per Application ID (fixes combining with a vertical taskbar).
  • Fixed a possible crash when clicking on a pinned item.
  • Dutch translation, thanks Frank Meijer!

v4.0.7 (September 2, 2012)

  • Rebuilt the tweaker to support older processors (versions 4.0.4, 4.0.5, 4.0.6 supported only processors with SSE2 instruction set).

v4.0.6 (September 1, 2012)

  • Fixed the decombine-on-active-group option, which caused a crash.

v4.0.5 (September 1, 2012)

  • Fix: The decombine-on-mouse-hover option didn't work correctly with show-labels on.

v4.0.4 (September 1, 2012)

  • Improved the decombine-on-mouse-hover option, which also fixes a potential crash.
  • Fix: It's now possible to interact with the tray icon when update notification balloon is visible.
  • Language update: Slovenian.

v4.0.3 (August 26, 2012)

  • The tweaker shows you a changelog before updating.
  • Taskbar Inspector: A per-AppID option to group pinned items.
  • Improved interaction with sndvol.exe, making volume controlling more robust.
  • Fix: The "When not grouping, place new items next to the existing ones" option didn't work with pinned items.
  • New language: Traditional Chinese, thanks HJL!

v4.0.2 (August 17, 2012)

  • Fixed a crash when using the "When not grouping, place new items next to the existing ones" option (this time, hopefully, for real).

v4.0.1 (August 16, 2012)

  • Made the "Double/Middle click on empty space" -> "Ctrl+Alt+Tab" work as expected on Windows 7.
  • Added the option "Double/Middle click on empty space" -> "Ctrl+Win+Tab" for Windows 7. If aero is off or the tweaker runs on Windows 8, the option works like "Ctrl+Alt+Tab".
  • Fixed a crash when using the "When not grouping, place new items next to the existing ones" option.

v4.0 (August 12, 2012)

  • New program name: 7+ Taskbar Tweaker.
  • Windows 8 support.
  • General stability improvements and bug fixes.

v3.4.3 (April 20, 2012)

  • Simplified Chinese translation, thanks horan.
  • Option: Toggle taskbar auto-hide on double/middle clicking the taskbar's empty space.
  • Some minor improvements and fixes.

v3.4.2 (April 8, 2012)

  • Fix: A Taskbar Inspector bug in the 64-bit version.
  • Less disturbing update notification.
  • Volume scrolling: If system is muted, the slider shows up, but you must leave the taskbar to unmute it.

v3.4.1 (March 23, 2012)

  • Language updates.
  • Fix: If decombine on mouse hover is on, group combines when closing with middle click.

v3.4 (February 27, 2012)

  • Option: Thumbnails reordering by mouse dragging.

This option was requested since the first version of the tweaker, so here you go.

  • Option: Left click on combined item -> Open last window if inactive, otherwise open thumbnail preview.

Suggested by mathrick .

  • Option: Toggle mute system volume on empty space dobule/middle click.
  • Update checker.

Now the tweaker automatically checks for new versions, and allows you to update with one click.

v3.3.2 (February 5, 2012)

  • Fixed: Taskbar Inspector size didn't get saved.
  • Fixed a crash in the 64-bit version.
  • Added a Version Info resource.
  • Other small fixes.

v3.3.1 (January 15, 2012)

  • Some small fix.

v3.3 (January 15, 2012)

  • Option: Left click on the active thumbnail minimizes the window.

Windows 7's taskbar provides no easy way to minimize a window in a combined item. The whell scroll options help here, but when a mouse wheel is not available (e.g. a laptop), they don't help much. The new option provides a way to minimize the active window by clicking on it's thumbnail.

  • Fix: Multiple thumbnails now show up when grouping is disabled.

This bug existed since the first version of the tweaker. When grouping was disabled programs which used to show multiple thmubnails for a single window (like IE and it's thumbnails for tabs) showed only one thumbnail.

  • Italian language. Thanks vfede!

v3.2.1 (December 17, 2011)

  • When volume is muted, the volume control does not show up with mouse scroll.
  • If mouse scroll volume control is on, middle clicking the volume control tray icon toggles volume mute.
  • Fixed the autorun setting of the portable version.

v3.2 (December 3, 2011)

  • A portable version.

From the setup wizard, you can choose to install the tweaker normally or to extract the portable version. The portable version works for both 32 and 64 bit systems.

  • Option to change system volume by scrolling.

You can choose to enable this option for the notification area or for the whole taskbar.

  • Option to open ungrouped items nearby.

In case you disabled grouping for some (or all) of the taskbar items, you have now the option to open them one near the other.

  • Alphabetically sorting of items in a group.
  • Brazilian Portuguese language. Thanks Carlos!

v3.1.1 (November 27, 2011)

  • Languages updated, Portuguese was added (thanks Carlos).

v3.1 (November 13, 2011)

  • More taskbar item hover options.

Now you can choose to show a list instead of the thumbnail preview, show a tooltip (shows only if the title doesn't fit), or show nothing at all.

  • More combining options.

You can choose to combine (or not) your taskbar items. Also, you can set per Application ID rules for combining in Taskbar Inspector.

  • New option: Reserve empty space on taskbar.

The tweaker has options for middle/double clicking the taskbar's empty space. It works great except when the taskbar gets full. This option reserves a little square at the end of the task list, where you can always double/middle click.

  • New option: Hide the "Show desktop" button.

This option was requested several times, so here you go.

  • Small fixes.

The most notable of which is that the thumbnail preview does not get closed when you minimize with the mouse wheel.

v3.0.2 (November 11, 2011)

  • Improved compatibility with programs that use global mouse hook, such as WizMouse.

See details here .

  • Reversed scrolling direction for minimizing/restoring with mouse wheel if the taskbar is on top.

http://rammichael.com/7-taskbar-tweaker-v3-0/comment-page-1#comment-1058

v3.0.1 (November 11, 2011)

  • Fixed a bug with "Decombine active group" option.

v3.0 (October 22, 2011)

  • Mouse wheel options:

You can scroll between taskbar items with the mouse wheel, as well as minimize/restore a window when hovering a taskbar item or a thumbnail.

  • Decombining the active group.

This option will keep the currently active group decombined, similarly to the "decombine on mouse hover" feature.

  • New interface logic.

The options are now divided into three categories: Taskbar items, Grouping and combining, and Other, which will make it easier for you to navigate through them, and will make it easier for me to add new options. Special thanks to Arcyon for giving me some tips about the interface.

  • Improved stability.

The previous versions had some flaws regarding thread safety. This could rarely lead to a crash, a Taskbar Inspector window that does not close, or some other issue. The new version fixes these.

v2.1 (June 15, 2011)

  • Multiple Languages support.
  • A several-times-requested feature to open pinned items with double click to avoid accidental clicking.
  • The tweaker is now compatible with Dexpot's SevenDex feature. Note that if you use the "Don't group" tweaker option, force SevenDex's Application ID to group for the thumbnails to show up correctly.
  • The installer works on Windows Server 2008 R2. I did not actually test the tweaker on this OS, but I've heard it works, so here you go.

v2.0 (April 18, 2011)

  • An option to drag within groups, which enables you to group your taskbar items the way you want to using the right mouse button.

There's a bonus coming with that feature: you can scroll your mouse wheel while holding the right mouse button to show/hide labels of the group under the mouse.

  • The tweaker is distributed within a setup package.

v1.8 (February 18, 2011)

  • The decombine-on-hover feature introduced in v1.7 can also show labels when decombining.
  • Taskbar Inspector can now be opened by left clicking the tray icon.
  • The "Left click on grouped item" function is back. Although the tweak can be enabled through the registry , people wanted it back in 7TT, so here it is.

v1.7 (January 7, 2011)

  • New option: Decombine on hover.
  • New option: Make pinned items smaller.
  • Removed option: "cycle through windows option" on "left click on grouped button".

v1.6 (December 11, 2010)

  • 7 Taskbar Tweaker allows you to change Application IDs in order to group any items you want.
  • You can choose which Application IDs should have label, and which should not.
  • You can cascade/tile multiple windows.

v1.5 (November 27, 2010)

  • Taskbar Inspector:

1. Reorder items within a group.

2. Per Application ID grouping options.

3. Multiple window closing.

  • New option: Minimize taskbar items on middle click.
  • New option: Show desktop or open the Alt+Tab window (Ctrl+Alt+Tab) by double or middle clicking the empty space on the taskbar.

v1.0 (September 30, 2009)

  • First public version.


Verbesserungen (Tweaks)

Die Verbesserungen sind in drei Abschnitte gegliedert:

  • Taskleisten-Elemente

Kontrolliert Einstellungen in Bezug auf die Taskleisten-Elemente, wie das Klicken mit der mittleren/rechten Maustaste, dem Überfahren mit dem Mauszeiger und dem Ablegen per Drag & Drop.

  • Gruppieren und Kombinieren

Deaktiviert die Gruppierung, erlaubt das Verschieben von Taskleisten-Buttons zwischen Gruppen, erzwingt oder deaktiviert das Kombinieren und noch weiteres mehr.

  • Andere Taskleisten-Optionen

Stellt Optionen für die Verwendung des Mausrads, das Klicken auf den Taskleisten-Freiraum und noch einiges mehr bereit.

Wichtiger Hinweis

In den Windows-Optionen zum Einstellen der Taskleisteneigenschaften wird der Begriff "Gruppieren" anders verwendet. Das, was in den Windows-Einstellungen unter "Gruppieren" verstanden wird, wird im 7+ Taskbar Tweaker als "Kombinieren" definiert. Weitere Informationen zu den Begrifflichkeiten finden Sie unter Gruppieren und Kombinieren .


Taskleisten-Elemente

Verbesserungen (Tweaks) ››

Begrifflichkeiten

Optionen

  • Rechtsklick
  • Klick mit mittlerer Maustaste
  • Ablegen (per Drag & Drop)
  • Überfahren mit dem Mauszeiger
  • Miniaturansichten
  • Angeheftete Elemente


Rechtsklick

Verbesserungen (Tweaks) ›› Taskleisten-Elemente ››

Legt das Menü fest, das nach dem Rechtsklick auf ein Taskleisten-Element angezeigt wird:

  • Sprungliste (Standard)

  • Standard-Fenstermenü

Hinweis

Halten Sie die Umschalttaste gedrückt, während Sie mit der rechten Maustaste klicken, um das jeweils andere Menü anzuzeigen.


Klick mit mittlerer Maustaste

Verbesserungen (Tweaks) ›› Taskleisten-Elemente ››

Legt die Aktion fest, die nach einem Klick mit der mittleren Maustaste auf ein Taskleisten-Element ausgeführt wird:

  • Neue Instanz öffnen (Standard)
  • Fokus - Das Fenster wird in den Vordergrund geholt und fokussiert
  • Minimieren
  • Schließen


Ablegen (per Drag & Drop)

Verbesserungen (Tweaks) ›› Taskleisten-Elemente ››

Legt die Aktion fest, die nach dem Ablegen einer Datei auf ein Taskleisten-Element ausgeführt wird:

  • Anheften (Standard)

  • Öffnen mit

Hinweis

Halten Sie die Umschalttaste gedrückt, während Sie mit der Maus über ein Taskleisten-Element fahren, um nach dem Ablegen die jeweils andere Aktion auszuführen.


Überfahren mit dem Mauszeiger

Verbesserungen (Tweaks) ›› Taskleisten-Elemente ››

Legt die Vorschau fest, die beim Überfahren eines Taskleisten-Elements mit dem Mauszeiger angezeigt wird:

  • Miniaturansichten zeigen (Standard)

  • Liste

  • Tooltip

  • Nichts anzeigen


Miniaturansichten

Verbesserungen (Tweaks) ›› Taskleisten-Elemente ››

Ziehen, um neu zu ordnen

Erlaubt das Ziehen und Verschieben der Miniaturansichten bei gedrückter linker Maustaste, um deren Anordnung zu verändern.

Hinweis

Normalerweise verändert die Umsortierung der Miniaturansichten auch die Anordnung der Taskleisten-Buttons, jedoch nicht immer. Wenn eine Anwendung eigene Miniaturansichten verwendet (wie der Internet Explorer, der Miniaturansichten als Tab-Vorschau benutzt), sind die Miniaturansichten und die Taskleisten-Buttons nicht verknüpft, sodass die Umsortierung des einen nicht die Anordnung des anderen verändert.

Linksklick auf aktive Miniaturansicht minimiert das Fenster

Falls aktiviert, wird durch das Klicken auf die Miniaturansicht des aktiven Fensters das Fenster minimiert.


Angeheftete Elemente

Verbesserungen (Tweaks) ›› Taskleisten-Elemente ››

Keine Extra-Lücke zwischen Elementen

Verringert den Freiraum zwischen den angehefteten Elementen der Taskleiste.

Vorher

Nachher

Öffnen mit Doppelklick

Führt dazu, dass angeheftete Elemente erst nach einem Doppelklick (anstatt eines einzelnen Klicks) gestartet werden.

Diese Option verhindert ein unbeabsichtigtes Klicken auf angeheftete Elemente und somit das ungewollte Starten von Programmen.


Gruppieren und Kombinieren

Verbesserungen (Tweaks) ››

Begrifflichkeiten

Optionen

  • Gruppieren
  • Kombinieren
  • Linksklick auf gruppiertes Element


Gruppieren

Verbesserungen (Tweaks) ›› Gruppieren und Kombinieren ››

Seit Windows 7 hat jedes Fenster eine Anwendungs-ID. Wenn sie nicht von der Anwendung definiert ist, wird sie standardmäßig durch den Pfad des Anwendungssymbols bestimmt.

Standardmäßig werden die Taskleisten-Buttons nach der Anwendungs-ID der Fenster gruppiert. Durch diese Option lässt sich das Verhalten verändern:

  • Gruppieren: Nach Anwendungs-ID (Standard)

  • Nicht Gruppieren

Hinweis

Es ist möglich das Gruppieren nach Anwendungs-ID durch den Taskleisten-Inspektor zu steuern.

Neue Instanz benachbart öffnen

Wenn das Gruppieren deaktiviert ist, erscheinen neu erstellte Taskleisten-Buttons am Ende der Taskleiste. Diese Option bewirkt, dass sie neben den Elementen erscheinen, mit denen sie gruppiert werden würden, wäre das Gruppieren aktiviert.

Das passiert zum Beispiel standardmäßig, wenn man ein zweites Editor-Fenster öffnet:

Wenn das Gruppieren deaktiviert ist, sieht das Ergebnis so aus:

Wenn das Gruppieren deaktiviert und diese Option ausgewählt ist, passiert folgendes:

Gruppieren: Nicht bei angehefteten Elementen

Jedes angeheftete Element hat eine Anwendungs-ID, genau wie die Taskleisten-Buttons. Standardmäßig wird ein angeheftetes Elemente mit derselben Anwendungs-ID wie ein neu erstellter Taskleisten-Button durch diesen ersetzt. Diese Option führt dazu, dass der neue Taskleisten-Button am Ende der Taskleiste erstellt wird und das angeheftete Element erhalten bleibt.

Nehmen wir zum Beispiel an, der Editor wäre ein angeheftetes Element:

Standardmäßig würde ein neu geöffnetes Editor-Fenster folgendes bewirken:

Wenn diese Option ausgewählt ist, sieht das Ergebnis so aus:

Hinweis

Es ist möglich das Gruppieren nach Anwendungs-ID mit angehefteten Elementen durch den Taskleisten-Inspektor zu steuern.

Verschieben innerhalb Gruppe/n mit rechter Maustaste aktivieren

Diese Option erlaubt das Verschieben eines Taskleisten-Buttons durch Klicken und Ziehen mit der rechten Maustaste innerhalb und zwischen Gruppen:

  • Wird ein Taskleisten-Button innerhalb einer Gruppe verschoben, ändert sich seine Position innerhalb dieser Gruppe.
  • Wird ein Taskleisten-Button auf ein anderes Taskleisten-Element gezogen, bilden sie eine Gruppe.
  • Wird ein Taskleisten-Button auf den Taskleisten-Freiraum gezogen, bildet er eine eigene, neue Gruppe.

Zusatzfeature

Wenn diese Option ausgewählt ist, bewirkt das Scrollen mit dem Mausrad bei gedrückter rechter Maustaste das Verbergen/Zeigen der Beschriftung der mit dem Mauszeiger überfahrenen Anwendungs-ID.


Kombinieren

Verbesserungen (Tweaks) ›› Gruppieren und Kombinieren ››

Hinweis zu Beginn
Da die Definition der Begrifflichkeiten zwischen Windows und dem 7+ Taskbar Tweaker variieren, sind die Begrifflichkeiten nach Windows-Definition im folgenden Abschnitt in grün dargestellt. Weitere Informationen zu den Begrifflichkeiten finden Sie unter den Punkten Verbesserungen (Tweaks) sowie Gruppieren und Kombinieren .

Ob eine Gruppe von Taskleisten-Buttons kombiniert wird oder nicht, hängt von den Windows-Taskleisteneinstellungen ab.

Durch diese Option können Sie Änderungen vornehmen:

  • Taskleisten-Einstellung (Standard)

Immer gruppieren, Beschriftungen ausblenden:

Nie gruppieren:

  • Gruppierte Elemente kombinieren

Immer gruppieren, Beschriftungen ausblenden:

Entspricht dem Standardverhalten.

Nie gruppieren:

  • Gruppierte Elemente nicht kombinieren

Immer gruppieren, Beschriftungen ausblenden:

Nie gruppieren:

Entspricht dem Standardverhalten.

Hinweise

  • Diese Option hat keine Auswirkung, wenn "Gruppieren, wenn Taskleiste voll ist" in den Taskleisteneigenschaften ausgewählt ist.
  • Es ist möglich das Kombinieren nach Anwendungs-ID durch den Taskleisten-Inspektor zu steuern.

Kombinierung aufheben:

Diese Option bringt kombinierte Gruppen dazu die Kombinierung bei einem bestimmten Ereignis aufzuheben:

  • Aktive Gruppe

Wenn ein Fenster einer kombinierten Gruppe den Fokus bekommt, wird die Kombinierung aufgehoben.

  • Beim Überfahren mit dem Mauszeiger

Wenn eine kombinierte Gruppe mit dem Mauszeiger überfahren wird, wird die Kombinierung aufgehoben.

...und Beschriftungen anzeigen

Wenn diese Option ausgewählt ist, wird bei den obigen Optionen zur Aufhebung der Kombinierung zusätzlich noch die Beschriftung der Gruppe eingeblendet.


Linksklick auf kombiniertes Element

Verbesserungen (Tweaks) ›› Gruppieren und Kombinieren ››

Definiert die auszuführende Aktion nach einem Linksklick auf eine kombinierte Gruppe:

  • Miniaturansicht zeigen (Standard)
  • Zwischen Fenstern wechseln
    Setze den Fokus bei jedem Linksklick auf das nächste Fenster dieser Gruppe.
  • Öffne letztes Fenster wenn inaktiv, andernfalls öffne Miniaturansichten

Wenn kein Fenster der kombinierten Gruppe den Fokus hat, wechsle zum zuletzt fokussierten Fenster dieser Gruppe. Hat bereits ein Fenster dieser Gruppe den Fokus, zeige die Miniaturansichten an.


Andere Taskleisten-Optionen

Verbesserungen (Tweaks) ››

Optionen

  • Mausrad
  • Doppel-/Mittelklick auf Taskleisten-Freiraum
  • Sonstiges


Mausrad

Verbesserungen (Tweaks) ›› Andere Taskleisten-Optionen ››

Zwischen Fenstern wechseln

Wenn ausgewählt, führt das Scrollen des Mausrads, während sich der Mauszeiger über der Liste der Taskleisten-Elemente befindet, zum Wechseln zwischen den Fenstern.

Minimierte Fenster überspringen

Wenn ausgewählt, werden minimierte Fenster beim Fensterwechseln mit dem Mausrad übersprungen.

Minimieren/Wiederherstellen beim Zeigen mit dem Mauszeiger auf die...

Diese Option ermöglicht das Minimieren/Wiederherstellen eines Fensters durch Scrollen mit dem Mausrad, wenn sich der Mauszeiger über dem entsprechenden Element befindet:

  • Elemente der Taskleiste
  • Miniaturansichten

Lautstärke regeln beim Zeigen mit dem Mauszeiger auf:

Wenn ausgewählt, führt das Scrollen mit dem Mausrad während sich der Mauszeiger über der angegebenen Region befindet zum Öffnen des Lautstärkereglers:

  • Die Taskleiste
  • Den Infobereich

Zusatzfeature

Wenn eine der beiden obigen Optionen ausgewählt ist, führt das Klicken mit der mittleren Maustaste auf das Symbol des Lautstärkereglers zum Umschalten der Stummschaltung der Systemlautstärke.


Doppel-/Mittelklick auf Taskleisten-Freiraum

Verbesserungen (Tweaks) ›› Andere Taskleisten-Optionen ››

Diese Optionen beziehen sich auf den Freiraum am Ende der Taskleiste, wo sich (noch) keine Taskleisten-Buttons befinden:

Standardmäßig hat ein Doppelklick oder ein Klick mit der mittleren Maustaste auf den Taskleisten-Freiraum keine Auswirkung.

Durch diese Option können Sie eine auszuführende Aktionen wählen:

  • Nichts (Standard)
  • Desktop anzeigen
  • Strg + Alt + Tab
  • Task-Manager
  • Taskleisten-Inspektor
  • Systemlautstärke stummschalten
    Ermöglicht das Umschalten der Stummschaltung der Systemlautstärke.
  • Taskleistenausblendung umschalten
    Ermöglicht das Umschalten zwischen der automatischen Ausblendung der Taskleiste und dem dauerhaften Anzeigen.
  • Strg + Win + Tab (Windows 7)


Sonstiges

Verbesserungen (Tweaks) ›› Andere Taskleisten-Optionen ››

Etwas Taskleisten-Freiraum erhalten

Der 7+ Taskbar Tweaker hat Optionen für den Doppel-/Mittelklick auf den Taskleisten-Freiraum . Diese funktionieren auch wunderbar, es sei denn, die Taskleiste ist voll. Durch diese Option wird ein kleines Quadrat am Ende der Liste der Taskleisten-Elemente freigehalten, wo dann zu jeder Zeit ein Doppel-/Mittelklick ausgeführt werden kann.

Vorher

Nachher

"Desktop anzeigen"-Button entfernen

Der "Desktop anzeigen"-Button am Ende der Taskleiste wird ausgeblendet und der gebrauchte Platz freigegeben.

Vorher

Nachher


Taskleisten-Inspektor

Der Taskleisten-Inspektor ist im Grunde eine Liste der Taskleisten-Elemente, so nach Anwendungs-ID gruppiert, wie sie auf der Taskleiste angezeigt werden.

Hinweis

Halten Sie Strg + Umschalttaste gedrückt während Sie den Taskleisten-Inspektor öffnen, bleibt er auch geöffnet, wenn er den Fokus verliert. Um ihn wieder zu schließen, drücken Sie die Escape-Taste (Esc), wenn er den Fokus besitzt.

Anwendungs-IDs

Jedes nicht eingerückte Element mit einem vorangestellten pfeilartigen Symbol stellt eine Anwendungs-ID dar. Untergeordnete Kind-Elemente können vorhanden sein. Diese Elemente sind eingerückten und repräsentieren die Taskleisten-Buttons.

Die Anwendungs-ID eines angehefteten Elements hat keine Kind-Elemente.

Die Anwendungs-ID eines Taskleisten-Buttons hat genau ein Kind-Element.

Die Anwendungs-ID einer Gruppe von Taskleisten-Buttons hat mehrere Kind-Elemente.

Durch einen Doppelklick auf eine Anwendungs-ID werden alle Kind-Elemente markiert.

Durch einen Rechtsklick auf eine Anwendungs-ID (wenn nur diese Anwendungs-ID markiert ist) werden die Anwendungs-ID-Optionen eingeblendet:

  • Beschriftung anzeigen
  • Gruppieren

Erfahren Sie hier mehr über das Gruppieren.

  • Angeheftetes Element gruppieren

Erfahren Sie hier mehr über das Gruppieren angehefteter Elemente.

  • Kombinieren

Erfahren Sie hier mehr über das Kombinieren.

  • Gruppenelemente sortieren (Nur wenn zur Anwendungs-ID mehrere Kind-Elemente existieren.)

Die Kind-Elemente werden alphabetisch sortiert.

Taskleisten-Buttons

Die eingerückten Elemente in der Liste repräsentieren Taskleisten-Buttons.

Das Ziehen und Verschieben eines Elements ordnet es innerhalb der Gruppe neu an.

Durch einen Rechtsklick auf das Element eines Taskleisten-Buttons werden die Fenster-Optionen eingeblendet:

  • Anwendungs-ID ändern

Ändert die Anwendungs-ID des Fensters des markierten Taskleisten-Buttons.

Zusätzlich zu den verfügbaren Anwendungs-IDs gibt es zwei besondere Optionen:

    • random_group_[Nummer]

Ändert die Anwendungs-ID des Fensters in eine zufällig vom Tweaker generierte Anwendungs-ID.

Taskleisten-Buttons dieser Zufalls-Anwendungs-IDs werden immer gruppiert, auch wenn das Gruppieren deaktiviert ist. Dies macht es leicht mehrerer Elemente auszuwählen, um sie zu gruppieren.

    • (zurücksetzten)

Setzt die Anwendungs-ID des Fensters zurück auf die Standard-Anwendungs-ID des Prozesses.

  • Überlappen (Nur wenn mehrere Elemente ausgewählt sind)
  • Horizontal anordnen (Nur wenn mehrere Elemente ausgewählt sind)
  • Vertikal anordnen (Nur wenn mehrere Elemente ausgewählt sind)
  • Wiederherstellen
  • Minimieren
  • Maximieren
  • Schließen


Einstellungen

Beim Systemstart ausführen

Legt fest, ob der Tweaker beim Start von Windows ausgeführt wird.

Hinweis

Diese Einstellung erstellt den Schlüssel 7 Taskbar Tweaker in der Windows-Registrierung unter

HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Run

Der Wert beinhaltet den Pfad zur ausführbaren Datei des Tweakers, gefolgt vom -hidewnd Kommandozeilenparameter.

Auf Aktualisierungen prüfen

Wenn diese Option ausgewählt ist, prüft der Tweaker automatisch, ob Aktualisierungen zur Verfügung stehen.

Steht eine Aktualisierung bereit, zeigt das Symbol des Tweakers im Infobereich einen grünen Pfeil und eine Sprechblase erscheint.

Ein Klick auf die Sprechblase öffnet ein Update-Fenster, das es ermöglicht, mit nur einem Klick auf die neuste Version zu aktualisieren.

Außerdem kann das Änderungsprotokoll (in Englisch) angesehen bzw. die Benachrichtigung für diese bestimmte Version deaktiviert werden.

Hinweis

Der Tweaker prüft alle 24 Stunden, ob eine Aktualisierung zur Verfügung steht.

Kein Symbol im Infobereich anzeigen

Wenn ausgewählt, wird das Symbol des Tweaker im Infobereich verborgen.

Zum Anzeigen des Hauptfensters, wenn das Symbol im Infobereich verborgen ist, starten Sie den Tweaker.

Um den Tweaker zu beenden, machen Sie zunächst das Symbol im Infobereich wieder sichtbar.

Linksklick auf Symbol im Infobereich öffnet: ...

Ermöglicht die Auswahl des zu öffnenden Tweaker-Fensters beim Linksklick auf das Symbol im Infobereich:

  • 7+ Taskbar Tweaker
  • Taskleisten-Inspektor

Sprache: ...

Hier können Sie die Sprache der Benutzeroberfläche wählen.

Hinweis

Um Genaueres zur Übersetzung des Tweakers in Ihre Sprache zu erhalten, lesen Sie das online FAQ .


Erweitert

Es gibt einige erweiterte Optionen, die es erlauben den "Tweaker zu tweaken", das Programm also weiter zu verbessern.

Diese Optionen können nicht über die Benutzeroberfläche konfiguriert werden, sondern müssen direkt in der Windows-Registrierung (oder der .ini-Datei der Portable-Version) angepasst werden.

Um diese Optionen zu übernehmen, muss der Tweaker neu gestartet werden.

Die Idee ist die Bereitstellung von so etwas ähnlichem wie dem about:config des Firefox, das eine tiefergehende Benutzerdefinierung ermöglicht, aber von den meisten Nutzern nicht gebraucht wird.


OptionsEx

Erweitert ››

Diese erweiterten Optionen erlauben es einige Aspekte der Arbeitsweise des Tweakers anzupassen.

Zweig der Registrierung

HKEY_CURRENT_USER\Software\7 Taskbar Tweaker\OptionsEx

Registrierungsschlüssel und Werte

Schlüsselname | Schlüsselwert
jump_list_drag_disable | Standardmäßig, wenn ein Taskleisten-Element in Richtung Desktop gezogen wird, erscheint die Sprungliste. Diese Option deaktiviert die Einblendung. 0 - deaktiviert (Standard), 1 - aktiviert.
nocheck_minimize nocheck_maximize nocheck_close | Wenn ein Fenster minimiert (> minimize) / maximiert (> maximize) / geschlossen (> close) werden soll, prüft der Tweaker bevor er die entsprechende Aktion durchführt, ob das Fenster diese Aktion unterstützt. Die Prüfung wird durch diese Option deaktiviert. Achtung, dies kann zu unerwartetem Verhalten führen. Wird verwendet in: Mittelklick-Optionen, Mausrad-Minimierungs-Optionen, Taskleisten-Inspektor. 0 - deaktiviert (Standard), 1 - aktiviert.
pinned_ungrouped_animate_launch | Wenn die Option Gruppieren: Nicht bei angehefteten Elementen aktiviert ist, werden die Animationen beim Klicken auf ein angeheftetes Element deaktiviert. Diese Option verhindert diese Deaktivierung. 0 - deaktiviert (Standard), 1 - aktiviert.
sndvol_tooltip | Die Option zum Regeln der Systemlautstärke verwendet die Läustärkeregelung von Windows als Indikator. Durch diese Option wird stattdessen ein Tooltip verwendet. 0 - deaktiviert (Standard), 1 - aktiviert.


Maustasten-Kontrolle

Erweitert ››

Dies erlaubt es, verschiedenen Mausklick-Ereignissen auszuführende Taskleisten-Aktionen zuzuordnen.

Bitte beachten Sie, dass diese Optionen eine niedrigere Priorität haben, als Standard-Optionen.

Zweig der Registrierung

HKEY_CURRENT_USER\Software\7 Taskbar Tweaker\Mouse Button Control

Schlüsselname

Der Schlüsselname definiert das Zielelement, den Mausklick-Typ und die Tasten zum Modifizieren.

Zielelement

Zurzeit werden folgende unterstützt:

  • taskbaritem - Taskleisten-Element.
  • emptyspace - Taskleisten-Freiraum.

Mausklick-Typ

Verwenden können Sie einen der folgenden:

  • lclick - Klick mit der linken Maustaste.
  • ldblclick - Doppelklick mit der linken Maustaste.
  • rclick - Klick mit der rechten Maustaste.
  • rdblclick - Doppelklick mit der rechten Maustaste.
  • mclick - Klick mit der mittleren Maustaste.
  • mdblclick - Doppelklick mit der mittleren Maustaste.
  • x1click - Klick mit der ersten X-Taste (Taste 4).
  • x1dblclick - Doppelklick mit der ersten X-Taste (Taste 4).
  • x2click - Klick mit der zweiten X-Taste (Taste 5).
  • x2dblclick - Doppelklick mit der zweiten X-Taste (Taste 5).

Die X-Tasten (Taste 4 und Taste 5) beziehen sich auf eine 5-Tasten-Maus.

Tasten zum Modifizieren

Verwenden können Sie eine oder mehrere der folgenden:

  • ctrl - Strg-Taste
  • shift - Umschalttaste

Jetzt nur noch zusammenfügen

Das Ergebnis wird so aussehen:

Zielelement|Mausklick-Typ+Modifikator1+Modifikator2

Zum Beispiel:

  • taskbaritem|ctrl+shift+lclick - ein Linksklick auf ein Taskleisten-Element, wenn die Strg und die Umschalttaste gedrückt sind.
  • emptyspace|x1dblclick - ein Doppelklick mit Taste 4 der Maus auf den Taskleisten-Freiraum.

Schlüsselwert

Der Wert des Schlüssels gibt an, welche Aktion ausgeführt werden soll, wenn das angegebene Mausklick-Event auftritt.

Die Bedeutung des Wertes hängt vom Zielelement ab:

taskbaritem (Taskleisten-Element)

  • 1 - Anzeigen
  • 2 - Minimieren
  • 3 - Schließen
  • 4 - Neue Instanz öffnen
  • 5 - Sprungliste
  • 6 - Standard-Fenstermenü

emptyspace (Taskleisten-Freiraum)

  • 1 - Desktop anzeigen
  • 2 - Strg + Alt + Tab
  • 3 - Task-Manager
  • 4 - Taskleisten-Inspektor
  • 5 - Umschalten der Stummschaltung der Systemlautstärke
  • 6 - Auto-Taskleistenausblendung umschalten
  • 7 - Strg + Win + Tab (Windows 7)

Beispiele

  • taskbaritem|ctrl+shift+lclick - 3 - ein Linksklick auf einen Taskleisten-Button, wenn die Strg und die Umschalttaste gedrückt sind, schließt das Fenster.
  • emptyspace|x1dblclick - 1 - ein Doppelklick mit Taste 4 der Maus auf den Taskleisten-Freiraum, führt zum Anzeigen des Desktops.